<?php
include_once("c_esmo_magnit_pmo_card.php");
class c_page_cab_esmo_magnit_pmo_card_put_docs extends c_page_cab_esmo_magnit_pmo_card
{
  public $h1='Выдача документов участнику мероприятия' ;
  var $rec_personal=array()  ;
  var $add_docs_ids=array()  ;
  var $rec_event_to_personal=array()  ;

  function menu_config()
   { $this->menu=array() ;
   }

  function block_main()
  { $this->page_title() ;
    $this->rec_event_to_personal=EVENTS()->get_event_personal_rec($this->rec_event['pkey'],$this->filter['personal_id']) ;
    $this->put_event_docs_to_personal() ;
  }



  function put_event_docs_to_personal()
  { //damp_array($this->rec_event_to_personal,1,-1) ;   return ;

     $res=DOCS()->doc_create('esmo_magnit_pmo/doc_union',
                             // filter
                             array('event_id'=>$this->rec_event['pkey'],
                                   'personal_id'=>$this->rec_event_to_personal['personal_id']
                                   ),
                             // options
                             array('no_reg_doc'=>1, // не регистрировать документ в таблице документов
                                   'event_id'=>$this->rec_event['pkey'],
                                   'obj_reffer'=>$_POST['obj_reffer'],
                                   'report_seria'=>$_POST['report_seria'],
                                   'pdf_options'=>$_POST['pdf_options'],
                                   'source_pkey'=>$this->rec_event_to_personal['event_person_id'], // ID персоны в мероприяии
                                   'source_tkey'=>$this->rec_event_to_personal['event_person_tkey'], // ID персоны в мероприяии
                                   'source_obj'=>'esmo_magnit_pmo/i_event_pmo' // объект, которые будет использоваться в эвентах
                                   )
                             ) ;
     //damp_array($res,1,-1) ; return ;
     //damp_array($this->rec_event) ;
     if ($res['error']) {?><div class="alert"><?echo $res['error']?></div><?}
     else
     { $after_convert_go_url=$res['result_convert']['PDF_file_name_url'] ;
       REPORT()->panel_view_pdf_convert($res['result_convert']['cmd_uid'],$after_convert_go_url) ;
       // сохраняем в событии имя файла PDF пакета документов - он после подписи будет показан и пойдет на печать
       // надо сохранить и путь к папке где лежит файл
       $pdf_file_name=str_replace('/docs/pdf/','',hide_server_dir($res['result_convert']['to']))  ;
       $data=array('fname'=>$pdf_file_name,'time_print'=>time()) ;
       update_rec_in_table('obj_site_events_pass',$data,'pkey='.$this->rec_event_to_personal['event_person_id']) ;
     }
  }

}



?>